### Method

# Secret Service lookup_sync

#### Declaration [src]

    SecretValue*
    secret_service_lookup_sync (
      SecretService* service,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup a secret value in the secret service.

The `attributes` should be a set of key and value string pairs.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads.

#### Parameters

`schema` | `SecretSchema`
| The schema for the attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretValue`
| A newly allocated `SecretValue`, which should be released with `secret_value_unref()`, or `NULL` if no secret found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.